import React from 'react';
import { AccordionItem } from './Item';
interface AccordionProps {
    disabled?: number[];
    expanded?: number[];
    multi?: boolean;
    className?: string;
    children: React.ReactNode;
    ref?: React.RefObject<AccordionRefObject>;
}
export interface AccordionRefObject {
    openAll(): void;
    closeAll(): void;
    open(index: number): void;
    close(index: number): void;
    toggle(index: number): void;
}
declare const Accordion: React.ForwardRefExoticComponent<Pick<AccordionProps, "disabled" | "expanded" | "multi" | "className" | "children"> & React.RefAttributes<AccordionRefObject>>;
export { AccordionItem, Accordion };
//# sourceMappingURL=index.d.ts.map