import { Status, Size } from '../types';
import React from 'react';
interface CardProps {
    status?: Status;
    accent?: Status;
    size?: Size;
    style?: React.CSSProperties;
    className?: string;
}
declare const CardFooter: import("styled-components").StyledComponent<"footer", import("styled-components").DefaultTheme, {}, never>;
declare const CardStyle: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, CardProps, never>;
declare const CardHeader: import("styled-components").StyledComponent<"header", import("styled-components").DefaultTheme, CardProps, never>;
declare const CardBody: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, {}, never>;
declare const Card: React.FC<CardProps>;
export { Card, CardHeader, CardFooter, CardBody, CardStyle };
//# sourceMappingURL=Card.d.ts.map