import React from 'react';
import { BreakPointKeys } from '../../theme/';
declare type FlexProps = 'start' | 'center' | 'end' | 'top' | 'middle' | 'bottom' | 'around' | 'between';
interface RowProps extends Partial<Record<FlexProps, BreakPointKeys>> {
    reverse?: boolean;
    style?: React.CSSProperties;
    className?: string;
}
declare const Row: React.FC<RowProps>;
export default Row;
//# sourceMappingURL=Row.d.ts.map