import React from 'react';
import { MenuItemType } from '../types';
interface MenuProps {
    items: MenuItemType[];
    toggleSidebar?: () => void;
    Link: any;
    nextJs?: boolean;
    currentPath: string;
    className?: string;
    style?: React.CSSProperties;
    ref?: React.RefObject<MenuRefObject>;
}
export interface MenuRefObject {
    toggle: () => void;
}
declare const Menu: React.ForwardRefExoticComponent<Pick<MenuProps, "items" | "toggleSidebar" | "Link" | "nextJs" | "currentPath" | "className" | "style"> & React.RefAttributes<MenuRefObject>>;
export { Menu };
//# sourceMappingURL=index.d.ts.map